/* MF_Calendar.h */

#ifndef MF_CALENDAR_H
#define MF_CALENDAR_H

#include "MF.h"

enum CalendarType{ MF_CALENDAR_TYPE_UNDEFINED,
		   MF_NO_LEAP,
		   MF_GREGORIAN,
		   MF_360_DAY };

typedef enum CalendarType MF_CalendarType;

struct CalendarClass{
  MF_CalendarType type;             /* calendar type */
  int dim[13];                      /* number of days in each month, indexed 1:12 */
  int dimRunningSum[13];            /* running sum of days in month, indexed 1:12 */
  int diy;                          /* number of days in current year */
};

typedef struct CalendarClass *MF_Calendar;

typedef struct CalendarClass MF_CalendarClass;

/*============================================================================*
 * Public methods
 *============================================================================*/

extern int MF_CalendarConstruct(MF_Calendar this, MF_CalendarType type, int year);

extern int MF_CalendarConstructUndefined(MF_Calendar this);

extern int MF_CalendarBuildDayOfYear(MF_Calendar this, int month, int day,
				     int *dayOfYear);

extern int MF_CalendarPrint(MF_Calendar this);

#endif



















