/* MF_TOD.h */

#ifndef MF_TOD_H
#define MF_TOD_H

#include "MF.h"

enum TODType{ MF_TOD_TYPE_UNDEFINED,   /* Abbreviations */
	      MF_TOD_INT_SEC,          /* IS = integer seconds */
	      MF_TOD_INT_MSEC};        /* MS = integer milliseconds */

typedef enum TODType MF_TODType;

struct TODClass{
  MF_TODType type;
  int sec;
  int msec;
};

typedef struct TODClass *MF_TOD;

typedef struct TODClass MF_TODClass;

/*============================================================================*
 * Public methods
 *============================================================================*/

extern int MF_TODConstructIS(MF_TOD this, int seconds);

extern int MF_TODConstructUndefined(MF_TOD this);

extern int MF_TODIncrement(MF_TOD this, MF_TOD inc, MF_TOD resultTOD, 
			    int *resultDays);

extern int MF_TODDecrement(MF_TOD this, MF_TOD dec, MF_TOD resultTOD, 
			    int *resultDays);

extern int MF_TODIsLater(MF_TOD earlyTOD, MF_TOD lateTOD, MF_Bool *isLater);

extern int MF_TODPrint(MF_TOD this);

#endif



















