/* MF_Time.h */

#ifndef MF_TIME_H
#define MF_TIME_H

#include "MF.h"           
#include "MF_TOD.h"

struct TimeClass{
  int day;                   /* days in this time */
  MF_TODClass tod;           /* time of day */
};

typedef struct TimeClass *MF_Time;

typedef struct TimeClass MF_TimeClass;

/*============================================================================*
 * Public methods
 *============================================================================*/

extern MF_Time MF_TimeNewIS(int days, int seconds);

extern MF_Time MF_TimeNewUndefined();

extern int MF_TimeConstruct(MF_Time this, int days, MF_TOD tod);

extern int MF_TimeConstructIS(MF_Time this, int days, int seconds);

extern int MF_TimeConstructUndefined(MF_Time this);

extern int MF_TimeCopy(MF_Time this, MF_Time orig);

extern int MF_TimeCopyConstruct(MF_Time this, MF_Time orig);

extern int MF_TimeSetIS(MF_Time this, int days, int seconds);

extern int MF_TimeGetIS(MF_Time this, int *days, int *seconds);

extern int MF_TimeGetDays(MF_Time this, double *days);

extern int MF_TimeIncrementIS(MF_Time this, MF_Time incTime, 
				   int days, int seconds);

extern int MF_TimeDecrementIS(MF_Time this, MF_Time decTime,
				   int days, int seconds);

extern int MF_TimeDiff(MF_Time earlyTime, MF_Time lateTime, MF_Time diff,
		        MF_Bool *isLater);

extern int MF_TimePrint(MF_Time this);

extern void MF_TimeDelete(MF_Time this);

#endif












