/* MF_DateF.c */
/* Fortran interface file */

#include "MF.h"
#include "MF_Date.h"

#ifdef MF_HAVE_FORTRAN_UNDERSCORE
#define FORTRANUNDERSCORE
#endif

#ifdef POINTER_64_BITS
#if defined(__cplusplus)
extern "C" { 
#endif 
extern void *MF_ToPointer();
extern int MF_FromPointer();
extern void MF_RmPointer();
#if defined(__cplusplus)
} 
#endif 

#else

#define MF_ToPointer(a) ((long*)(a))
#define MF_FromPointer(a) (long)(a)
#define MF_RmPointer(a)
#endif


#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateinitis_ PMF_DATEINITIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateinitis_ pmf_dateinitis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateinitis_ pmf_dateinitis
#else

#define mf_dateinitis_ pmf_dateinitis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateinitis_ MF_DATEINITIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateinitis_ mf_dateinitis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateinitis_ mf_dateinitis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_datecopyinit_ PMF_DATECOPYINIT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datecopyinit_ pmf_datecopyinit__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datecopyinit_ pmf_datecopyinit
#else

#define mf_datecopyinit_ pmf_datecopyinit_
#endif
#else
#ifdef FORTRANCAPS
#define mf_datecopyinit_ MF_DATECOPYINIT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datecopyinit_ mf_datecopyinit__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datecopyinit_ mf_datecopyinit
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateinitundefined_ PMF_DATEINITUNDEFINED
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateinitundefined_ pmf_dateinitundefined__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateinitundefined_ pmf_dateinitundefined
#else

#define mf_dateinitundefined_ pmf_dateinitundefined_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateinitundefined_ MF_DATEINITUNDEFINED
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateinitundefined_ mf_dateinitundefined__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateinitundefined_ mf_dateinitundefined
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_datecopy_ PMF_DATECOPY
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datecopy_ pmf_datecopy__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datecopy_ pmf_datecopy
#else

#define mf_datecopy_ pmf_datecopy_
#endif
#else
#ifdef FORTRANCAPS
#define mf_datecopy_ MF_DATECOPY
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datecopy_ mf_datecopy__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datecopy_ mf_datecopy
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_datesetis_ PMF_DATESETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datesetis_ pmf_datesetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datesetis_ pmf_datesetis
#else

#define mf_datesetis_ pmf_datesetis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_datesetis_ MF_DATESETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datesetis_ mf_datesetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datesetis_ mf_datesetis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dategetis_ PMF_DATEGETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetis_ pmf_dategetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetis_ pmf_dategetis
#else

#define mf_dategetis_ pmf_dategetis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dategetis_ MF_DATEGETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetis_ mf_dategetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetis_ mf_dategetis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dategetdayofyear_ PMF_DATEGETDAYOFYEAR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetdayofyear_ pmf_dategetdayofyear__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetdayofyear_ pmf_dategetdayofyear
#else

#define mf_dategetdayofyear_ pmf_dategetdayofyear_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dategetdayofyear_ MF_DATEGETDAYOFYEAR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetdayofyear_ mf_dategetdayofyear__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetdayofyear_ mf_dategetdayofyear
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dategetcalendartype_ PMF_DATEGETCALENDARTYPE
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetcalendartype_ pmf_dategetcalendartype__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetcalendartype_ pmf_dategetcalendartype
#else

#define mf_dategetcalendartype_ pmf_dategetcalendartype_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dategetcalendartype_ MF_DATEGETCALENDARTYPE
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetcalendartype_ mf_dategetcalendartype__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetcalendartype_ mf_dategetcalendartype
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_date2str_ PMF_DATE2STR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_date2str_ pmf_date2str__
#elif !defined(FORTRANUNDERSCORE)
#define mf_date2str_ pmf_date2str
#else

#define mf_date2str_ pmf_date2str_
#endif
#else
#ifdef FORTRANCAPS
#define mf_date2str_ MF_DATE2STR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_date2str_ mf_date2str__
#elif !defined(FORTRANUNDERSCORE)
#define mf_date2str_ mf_date2str
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateincrement_ PMF_DATEINCREMENT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrement_ pmf_dateincrement__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrement_ pmf_dateincrement
#else

#define mf_dateincrement_ pmf_dateincrement_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateincrement_ MF_DATEINCREMENT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrement_ mf_dateincrement__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrement_ mf_dateincrement
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateincrementsec_ PMF_DATEINCREMENTSEC
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementsec_ pmf_dateincrementsec__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementsec_ pmf_dateincrementsec
#else

#define mf_dateincrementsec_ pmf_dateincrementsec_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateincrementsec_ MF_DATEINCREMENTSEC
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementsec_ mf_dateincrementsec__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementsec_ mf_dateincrementsec
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateincrementday_ PMF_DATEINCREMENTDAY
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementday_ pmf_dateincrementday__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementday_ pmf_dateincrementday
#else

#define mf_dateincrementday_ pmf_dateincrementday_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateincrementday_ MF_DATEINCREMENTDAY
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementday_ mf_dateincrementday__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementday_ mf_dateincrementday
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateincrementmonth_ PMF_DATEINCREMENTMONTH
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementmonth_ pmf_dateincrementmonth__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementmonth_ pmf_dateincrementmonth
#else

#define mf_dateincrementmonth_ pmf_dateincrementmonth_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateincrementmonth_ MF_DATEINCREMENTMONTH
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementmonth_ mf_dateincrementmonth__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementmonth_ mf_dateincrementmonth
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateincrementyear_ PMF_DATEINCREMENTYEAR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementyear_ pmf_dateincrementyear__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementyear_ pmf_dateincrementyear
#else

#define mf_dateincrementyear_ pmf_dateincrementyear_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateincrementyear_ MF_DATEINCREMENTYEAR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateincrementyear_ mf_dateincrementyear__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateincrementyear_ mf_dateincrementyear
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_datediff_ PMF_DATEDIFF
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datediff_ pmf_datediff__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datediff_ pmf_datediff
#else

#define mf_datediff_ pmf_datediff_
#endif
#else
#ifdef FORTRANCAPS
#define mf_datediff_ MF_DATEDIFF
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datediff_ mf_datediff__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datediff_ mf_datediff
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateislater_ PMF_DATEISLATER
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateislater_ pmf_dateislater__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateislater_ pmf_dateislater
#else

#define mf_dateislater_ pmf_dateislater_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateislater_ MF_DATEISLATER
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateislater_ mf_dateislater__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateislater_ mf_dateislater
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_datedecrement_ PMF_DATEDECREMENT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datedecrement_ pmf_datedecrement__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datedecrement_ pmf_datedecrement
#else

#define mf_datedecrement_ pmf_datedecrement_
#endif
#else
#ifdef FORTRANCAPS
#define mf_datedecrement_ MF_DATEDECREMENT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_datedecrement_ mf_datedecrement__
#elif !defined(FORTRANUNDERSCORE)
#define mf_datedecrement_ mf_datedecrement
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dateprint_ PMF_DATEPRINT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateprint_ pmf_dateprint__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateprint_ pmf_dateprint
#else

#define mf_dateprint_ pmf_dateprint_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dateprint_ MF_DATEPRINT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateprint_ mf_dateprint__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dateprint_ mf_dateprint
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_dategetfltdayofyear_ PMF_DATEGETFLTDAYOFYEAR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dateprint_ pmf_dategetfltdayofyear__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetfltdayofyear_ pmf_dategetfltdayofyear
#else

#define mf_dategetfltdayofyear_ pmf_dategetfltdayofyear_
#endif
#else
#ifdef FORTRANCAPS
#define mf_dategetfltdayofyear_ MF_DATEGETFLTDAYOFYEAR
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_dategetfltdayofyear_ mf_dategetfltdayofyear__
#elif !defined(FORTRANUNDERSCORE)
#define mf_dategetfltdayofyear_ mf_dategetfltdayofyear
#endif
#endif


/* Definitions of Fortran Wrapper routines */
#if defined(__cplusplus)
extern "C" {
#endif

void   mf_dateinitis_(MF_Date this, MF_CalendarType *type,
		          int *yearmmdd, int *tod, int *rc)
{
  *rc = MF_DateConstructIS(this, *type, *yearmmdd, *tod);
}



void   mf_datecopyinit_(MF_Date this, MF_Date orig, int *rc)
{
  *rc = MF_DateCopyConstruct(this, orig);
}



void   mf_dateinitundefined_(MF_Date this, int *rc)
{
  *rc = MF_DateConstructUndefined(this);
}



void  mf_datecopy_(MF_Date this, MF_Date orig, int *rc)
{
  *rc = MF_DateCopy(this, orig);
}



void  mf_datesetis_(MF_Date this, MF_CalendarType *type, int *yearmmdd, int *tod, int *rc)
{
  *rc = MF_DateSetIS(this, *type, *yearmmdd, *tod);
}



void mf_dategetis_(MF_Date this, int *yearmmdd, int *tod, int *rc)
{
  *rc = MF_DateGetIS(this, yearmmdd, tod);
}



void mf_dategetdayofyear_(MF_Date this, int *dayOfYear, int *rc)
{
  *rc = MF_DateGetDayOfYear(this, dayOfYear);
}



void mf_dategetcalendartype_(MF_Date this, MF_CalendarType *calendarType, int *rc)
{
  *rc = MF_DateGetCalendarType(this, calendarType);
}



void mf_date2str_(MF_Date this, char *str, int *rc)
{
  *rc = MF_Date2Str(this, str);
}



void mf_dateincrement_(MF_Date this, MF_Date incDate, MF_Time time, int *rc)
{
  *rc = MF_DateIncrement(this, incDate, time);
}



void mf_dateincrementsec_(MF_Date this, MF_Date incDate, int *nseconds, int *rc)
{
  *rc = MF_DateIncrementSec(this, incDate, *nseconds);
}



void mf_dateincrementday_(MF_Date this, MF_Date incDate, int *ndays, int *rc)
{
  *rc = MF_DateIncrementDay(this, incDate, *ndays);
}



void mf_dateincrementmonth_(MF_Date this, MF_Date incDate, int *nmonths, int *rc)
{
  *rc = MF_DateIncrementMonth(this, incDate, *nmonths);
}



void mf_dateincrementyear_(MF_Date this, MF_Date incDate, int *nyears, int *rc)
{
  *rc = MF_DateIncrementYear(this, incDate, *nyears);
}



void mf_datediff_(MF_Date earlyDate, MF_Date lateDate, MF_Time diff,
		  MF_Bool *isLater, int *rc)
{
  *rc = MF_DateDiff(earlyDate, lateDate, diff, isLater);
}


void mf_dateislater_(MF_Date earlyDate, MF_Date lateDate, MF_Bool *isLater, int *rc)
{
  *rc = MF_DateIsLater(earlyDate, lateDate, isLater);
}



void mf_datedecrement_(MF_Date this, MF_Date decDate, MF_Time time, int *rc)
{
  *rc = MF_DateDecrement(this, decDate, time);
}



void mf_dateprint_(MF_Date this, int *rc)
{
  *rc = MF_DatePrint(this);
}



void mf_dategetfltdayofyear_(MF_Date this, double *day, int *rc)
{
  *rc = MF_DateGetFltDayOfYear(this, day);
}



#if defined(__cplusplus)
}
#endif
