/* MF_ErrorF.c */
/* Fortran interface file */

#include "MF.h"
#include "MF_Error.h"

#ifdef MF_HAVE_FORTRAN_UNDERSCORE
#define FORTRANUNDERSCORE
#endif

#ifdef POINTER_64_BITS
#if defined(__cplusplus)
extern "C" { 
#endif 
extern void *MF_ToPointer();
extern int MF_FromPointer();
extern void MF_RmPointer();
#if defined(__cplusplus)
} 
#endif 

#else

#define MF_ToPointer(a) ((long*)(a))
#define MF_FromPointer(a) (long)(a)
#define MF_RmPointer(a)
#endif


#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_errhandlersettype_ PMF_ERRHANDLERSETTYPE
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_errhandlersettype_ pmf_errhandlersettype__
#elif !defined(FORTRANUNDERSCORE)
#define mf_errhandlersettype_ pmf_errhandlersettype
#else

#define mf_errhandlersettype_ pmf_errhandlersettype_
#endif
#else
#ifdef FORTRANCAPS
#define mf_errhandlersettype_ MF_ERRHANDLERSETTYPE
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_errhandlersettype_ mf_errhandlersettype__
#elif !defined(FORTRANUNDERSCORE)
#define mf_errhandlersettype_ mf_errhandlersettype
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_errprint_ PMF_ERRPRINT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_errprint_ pmf_errprint__
#elif !defined(FORTRANUNDERSCORE)
#define mf_errprint_ pmf_errprint
#else

#define mf_errprint_ pmf_errprint_
#endif
#else
#ifdef FORTRANCAPS
#define mf_errprint_ MF_ERRPRINT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_errprint_ mf_errprint__
#elif !defined(FORTRANUNDERSCORE)
#define mf_errprint_ mf_errprint
#endif
#endif

/* Definitions of Fortran Wrapper routines */
#if defined(__cplusplus)
extern "C" {
#endif

void   mf_errhandlersettype_(MF_ErrHandlerType *type)
{
  MF_ErrHandlerSetType(*type);
}



void   mf_errprint_(int *rc)
{
  MF_ErrPrint(*rc);
}














