/* MF_TimeF.c */
/* Fortran interface file */

#include "MF.h"
#include "MF_Time.h"

#ifdef MF_HAVE_FORTRAN_UNDERSCORE
#define FORTRANUNDERSCORE
#endif

#ifdef POINTER_64_BITS
#if defined(__cplusplus)
extern "C" { 
#endif 
extern void *MF_ToPointer();
extern int MF_FromPointer();
extern void MF_RmPointer();
#if defined(__cplusplus)
} 
#endif 

#else

#define MF_ToPointer(a) ((long*)(a))
#define MF_FromPointer(a) (long)(a)
#define MF_RmPointer(a)
#endif


#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timeinitis_ PMF_TIMEINITIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeinitis_ pmf_timeinitis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeinitis_ pmf_timeinitis
#else

#define mf_timeinitis_ pmf_timeinitis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timeinitis_ MF_TIMEINITIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeinitis_ mf_timeinitis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeinitis_ mf_timeinitis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timecopyinit_ PMF_TIMECOPYINIT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timecopyinit_ pmf_timecopyinit__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timecopyinit_ pmf_timecopyinit
#else

#define mf_timecopyinit_ pmf_timecopyinit_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timecopyinit_ MF_TIMECOPYINIT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timecopyinit_ mf_timecopyinit__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timecopyinit_ mf_timecopyinit
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timeinitundefined_ PMF_TIMEINITUNDEFINED
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeinitundefined_ pmf_timeinitundefined__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeinitundefined_ pmf_timeinitundefined
#else

#define mf_timeinitundefined_ pmf_timeinitundefined_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timeinitundefined_ MF_TIMEINITUNDEFINED
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeinitundefined_ mf_timeinitundefined__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeinitundefined_ mf_timeinitundefined
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timecopy_ PMF_TIMECOPY
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timecopy_ pmf_timecopy__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timecopy_ pmf_timecopy
#else

#define mf_timecopy_ pmf_timecopy_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timecopy_ MF_TIMECOPY
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timecopy_ mf_timecopy__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timecopy_ mf_timecopy
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timegetdays_ PMF_TIMEGETDAYS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timegetdays_ pmf_timegetdays__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timegetdays_ pmf_timegetdays
#else
#define mf_timegetdays_ pmf_timegetdays_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timegetdays_ MF_TIMEGETDAYS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timegetdays_ mf_timegetdays__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timegetdays_ mf_timegetdays
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timegetis_ PMF_TIMEGETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timegetis_ pmf_timegetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timegetis_ pmf_timegetis
#else
#define mf_timegetis_ pmf_timegetis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timegetis_ MF_TIMEGETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timegetis_ mf_timegetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timegetis_ mf_timegetis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timesetis_ PMF_TIMESETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timesetis_ pmf_timesetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timesetis_ pmf_timesetis
#else
#define mf_timesetis_ pmf_timesetis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timesetis_ MF_TIMESETIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timesetis_ mf_timesetis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timesetis_ mf_timesetis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timeincrementis_ PMF_TIMEINCREMENTIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeincrementis_ pmf_timeincrementis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeincrementis_ pmf_timeincrementis
#else
#define mf_timeincrementis_ pmf_timeincrementis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timeincrementis_ MF_TIMEINCREMENTIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeincrementis_ mf_timeincrementis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeincrementis_ mf_timeincrementis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timediff_ PMF_TIMEDIFF
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timediff_ pmf_timediff__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timediff_ pmf_timediff
#else
#define mf_timediff_ pmf_timediff_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timediff_ MF_TIMEDIFF
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timediff_ mf_timediff__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timediff_ mf_timediff
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timedecrementis_ PMF_TIMEDECREMENTIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timedecrementis_ pmf_timedecrementis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timedecrementis_ pmf_timedecrementis
#else
#define mf_timedecrementis_ pmf_timedecrementis_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timedecrementis_ MF_TIMEDECREMENTIS
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timedecrementis_ mf_timedecrementis__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timedecrementis_ mf_timedecrementis
#endif
#endif

#ifdef MPI_BUILD_PROFILING
#ifdef FORTRANCAPS
#define mf_timeprint_ PMF_TIMEPRINT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeprint_ pmf_timeprint__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeprint_ pmf_timeprint
#else
#define mf_timeprint_ pmf_timeprint_
#endif
#else
#ifdef FORTRANCAPS
#define mf_timeprint_ MF_TIMEPRINT
#elif defined(FORTRANDOUBLEUNDERSCORE)
#define mf_timeprint_ mf_timeprint__
#elif !defined(FORTRANUNDERSCORE)
#define mf_timeprint_ mf_timeprint
#endif
#endif

/* Definitions of Fortran Wrapper routines */
#if defined(__cplusplus)
extern "C" {
#endif


void   mf_timeinitis_(MF_Time this, int *days, int *seconds, int *rc)
{
  *rc = MF_TimeConstructIS(this, *days, *seconds);
}



void   mf_timecopyinit_(MF_Time this, MF_Time orig, int *rc)
{
  *rc = MF_TimeCopyConstruct(this, orig);
}



void   mf_timeinitundefined_(MF_Time this, int *rc)
{
  *rc = MF_TimeConstructUndefined(this);
}



void   mf_timecopy_(MF_Time this, MF_Time orig, int *rc)
{
  *rc = MF_TimeCopy(this, orig);
}



void   mf_timegetis_(MF_Time this, int *days, int *seconds, int *rc)
{
  *rc = MF_TimeGetIS(this, days, seconds);
}



void   mf_timesetis_(MF_Time this, int *days, int *seconds, int *rc)
{
  *rc = MF_TimeSetIS(this, *days, *seconds);
}



void   mf_timegetdays_(MF_Time this, double *days, int *rc)
{
  *rc = MF_TimeGetDays(this, days);
}



void  mf_timeincrementis_(MF_Time this, MF_Time incTime, int *days, int *seconds, int *rc)
{
  *rc = MF_TimeIncrementIS(this, incTime, *days, *seconds);
}



void  mf_timediff_(MF_Time earlyTime, MF_Time lateTime, MF_Time diff,
		   MF_Bool *isLater, int *rc)
{
  *rc = MF_TimeDiff(earlyTime, lateTime, diff, isLater);
}



void mf_timedecrementis_(MF_Time this, MF_Time decTime, int *days, int *seconds, int *rc)
{
  *rc = MF_TimeDecrementIS(this, decTime, *days, *seconds);
}



void mf_timeprint_(MF_Time this, int *rc)
{
  *rc = MF_TimePrint(this);
}



#if defined(__cplusplus)
}
#endif




















