!BOP
!
! !IROUTINE:  MFM_DateInit
!
! !INTERFACE:
      interface MFM_DateInit
        module procedure MFM_DateInitIS,
     &                   MFM_DateInitUndefined,
     &                   MFM_DateCopyInit
      end interface

! !DESCRIPTION:
!     Initializes a {\tt MFM\_Date} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_DateInitIS}          & initializes a date based on integer seconds \\ 
!     {\tt MFM\_DateInitUndefined}   & initializes a date with undefined contents \\
!     {\tt MFM\_DateCopyInit}        & initializes a date based on another date \\
!     \end{tabular}  
!
! SEE ALSO:
!   {\tt MFM\_DateInitIS, MFM\_DateInitUndefined, MFM\_DateCopyInit}
!
!EOP
!===============================================================================
!BOP
!
! !IROUTINE:  MFM_DateSet
!
! !INTERFACE:
      interface MFM_DateSet
        module procedure MFM_DateSetIS
      end interface

! !DESCRIPTION:
!     Sets the attributes of a {\tt MFM\_Date} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_DateSetIS}  & sets a date based on integer seconds \\ 
!     \end{tabular}  
!
! SEE ALSO:
!   {\tt MFM\_DateSetIS}
!
!EOP
!===============================================================================
!BOP
!
! !IROUTINE:  MFM_DateGet
!
! !INTERFACE:
      interface MFM_DateGet
        module procedure MFM_DateGetIS
      end interface

! !DESCRIPTION:
!     Gets the attributes of a {\tt MFM\_Date} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_DateGetIS} & gets the value of a date based on integer seconds \\
!     \end{tabular}  
!
! SEE ALSO:
!   {\tt MFM\_DateGetIS}
!
!EOP
!===============================================================================
