!BOP
!
! !IROUTINE:  MFM_TimeInit
!
! !INTERFACE:
      interface MFM_TimeInit
        module procedure MFM_TimeInitIS,
     &                   MFM_TimeInitUndefined,
     &                   MFM_TimeCopyInit
      end interface

! !DESCRIPTION:
!     Initializes a {\tt MFM\_Time} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_TimeInitIS}        & initializes a time with days and seconds \\
!     {\tt MFM\_TimeInitUndefined} & initializes a time with undefined contents \\
!     {\tt MFM\_TimeCopyInit}      & initializes a time based on another time \\
!     \end{tabular}
!  
! SEE ALSO:
!   {\tt MFM\_TimeInitIS, MFM\_TimeInitUndefined, MFM\_TimeCopyInit}
!
!EOP
!===============================================================================
!BOP
!
! !IROUTINE:  MFM_TimeSet
!
! !INTERFACE:
      interface MFM_TimeSet
        module procedure MFM_TimeSetIS
      end interface

! !DESCRIPTION:
!     Sets the value of a {\tt MFM\_Time} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_TimeSetIS} & sets a time with days and seconds \\
!     \end{tabular}
!  
! SEE ALSO:
!   {\tt MFM\_TimeSetIS}
!
!EOP
!===============================================================================
!BOP
!
! !IROUTINE:  MFM_TimeGet
!
! !INTERFACE:
      interface MFM_TimeGet
        module procedure MFM_TimeGetIS
      end interface

! !DESCRIPTION:
!     Gets the value of a {\tt MFM\_Time} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_TimeGetIS} & gets a time of the form days and seconds \\
!     \end{tabular}
!  
! SEE ALSO:
!   {\tt MFM\_TimeGetIS}
!
!EOP
!===============================================================================
!BOP
!
! !IROUTINE:  MFM_TimeIncrement
!
! !INTERFACE:
      interface MFM_TimeIncrement
        module procedure MFM_TimeIncrementIS
      end interface

! !DESCRIPTION:
!     Increments the value of a {\tt MFM\_Time} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_TimeIncrementIS} & increments a time of the form days and seconds \\
!     \end{tabular} 
!  
! SEE ALSO:
!   {\tt MFM\_TimeIncrementIS}
!
!EOP
!===============================================================================
!BOP
!
! !IROUTINE:  MFM_TimeDecrement
!
! !INTERFACE:
      interface MFM_TimeDecrement
        module procedure MFM_TimeDecrementIS
      end interface

! !DESCRIPTION:
!     Decrements the value of a {\tt MFM\_Time} object. \\
!     See the explicit interfaces:
!
!     \begin{tabular}{p{2in}p{3.5in}}
!     {\tt MFM\_TimeDecrementIS} & decrements a time of the form days and seconds \\
!     \end{tabular}
!  
! SEE ALSO:
!   {\tt MFM\_TimeDecrementIS}
!
!EOP
!===============================================================================
