      !\begin{verbatim}
!===============================================================================
! MFM_Alarm F90 Unit Tests and Examples
!===============================================================================

      program main
 
      use MFM_TimeMgmt

      implicit none

      integer, parameter :: START_DATE=20011128, START_SECS=43200
      integer, parameter :: STOP_DATE=20011203, STOP_SECS=1200
      integer, parameter :: STEP_DAYS=1, STEP_SECS=43200
      integer, parameter :: NUM_ITS=3

      type(MFM_Time) :: stepSize
      type(MFM_TimeMgr) :: timeMgrNoBase
      type(MFM_Date) :: startDate, stopDate, currDate, prevDate      
      type(MFM_Date) :: baseDate
      type(MFM_Alarm) :: alarm

      logical test, isLast
      integer i, nsteps
      integer retCalDate, retDays, retSecs
      character(60) str    

      print *, "=================================================="
      print *, "MFM_Alarm F90 Unit Tests and Examples"
      print *, "=================================================="

      stepSize = MFM_TimeInit(STEP_DAYS, STEP_SECS)
      startDate = MFM_DateInit(MFM_GREGORIAN, START_DATE, START_SECS)
      stopDate = MFM_DateInit(MFM_GREGORIAN, STOP_DATE, STOP_SECS)

      alarm = MFM_AlarmInitMonthly();

      timeMgrNoBase = MFM_TimeMgrInit(stepSize, startDate, stopDate)

      do while (.NOT. MFM_TimeMgrLastStep(timeMgrNoBase))
         call MFM_TimeMgrAdvance(timeMgrNoBase)
         if(MFM_AlarmIsOn(alarm, timeMgrNoBase)) then
           print *, "alarmIsOn"
         end if
         call MFM_AlarmSet(alarm, .FALSE.)
      end do

      end program main !\end{verbatim}







